Subject: iSCSI: Login/CmdSN consensus call

From: [email-masked]
Date: Sat, 18 Aug 2001 15:21:48 -0400

This issue of how CmdSN and its ordering requirements apply
to login phase commands needs to be closed.  While I have
not been able to review every message on this topic, I
believe that the rough consensus of the IPS WG is that
login phase messages do NOT participate in CmdSN-based
ordering of iSCSI commands.

One way of achieving this is to REQUIRE that all
login phase messages (login, login response, text [when
used during login phase}) be sent for immediate delivery
with the I bit set to "1" rather than "0" as currently
specified in the -07 draft, but I'm open to further
discussion of alternatives to this on the list.

The only technical argument I've seen against this has
been based on the notion that an Initiator may wish to
order a Login command with respect to an outstanding
SCSI Task Management operation.  I find this unconvincing
because:
- iSCSI's mapping of SCSI Task Management is already
	more than sufficiently complicated.  We should
	not be adding more functionality here.
- If ordering wrt SCSI task management is required,
	the Initiator should login and then issue the
	appropriate SCSI commands to obtain the desired
	result rather than relying on iSCSI side effects.
Any further objection to this consensus call should be
sent to the list.

Thanks,
--David

---------------------------------------------------
David L. Black, Senior Technologist
EMC Corporation, 42 South St., Hopkinton, MA  01748
+1 (508) 435-1000 x75140     FAX: +1 (508) 497-8500
[email-masked]       Mobile: +1 (978) 394-7754
---------------------------------------------------